/************* ROOT COLORS *************/
:root {
  --primary-color: #2f3e46;
  --secondary-color: #427aa1;
  --therddary-color: #215f35;
  --newitem-color: #52796f;
  --fifthdary-color: #ef8354;
  --focus-color: #dddddd;
  --input-bg-focus: #f7f7f7;

  /* --primary-color: #111827;
  --secondary-color: #10b981;
  --therddary-color: #059669;
  --focus-color: #d1d5db;
  --input-bg-focus: #f9fafb; */
}

/************* BASE *************/
body {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  font-size: 14px;
}

/************* NAVBAR *************/
.navbar-brand {
  font-family: "Noto Sans Mono", monospace;
  letter-spacing: 1px;
}

.navbar {
  background-color: var(--primary-color) !important;
}

.nav-link {
  color: var(--input-bg-focus) !important;
}

.nav-link {
  transition: color 0.2s ease;
}

.nav-link:hover {
  color: #00bcd4 !important;
}

/************* BUTTONS *************/
.login-btn {
  background-color: var(--secondary-color);
  border: none;
  transition: background-color 0.2s ease;
}

.login-btn:hover {
  background-color: var(--primary-color);
}

/************* ALIGNMENT *************/
.align-center {
  text-align: center;
}

.align-left {
  text-align: left;
}

.align-right {
  text-align: right;
}

.welcome-container {
  height: calc(100vh - 300px);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.company-name {
  font-size: 4rem;
  font-weight: 700;
  letter-spacing: 8px;
  color: var(--primary-color);
  text-transform: uppercase;

  animation: fadeZoom 2s ease-out forwards;
}

.company-tagline {
  margin-top: 15px;
  font-size: 1.2rem;
  color: #6c757d;

  opacity: 0;
  animation: slideUp 1.5s ease forwards;
  animation-delay: 1s;
}

@keyframes fadeZoom {
  0% {
    opacity: 0;
    transform: scale(0.8);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}

@keyframes slideUp {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.user_name {
  color: #dddddd;
}

.btn-disabled {
  background-color: #6c757d !important;
  border-color: #6c757d !important;
  color: #d6d6d6 !important;
  cursor: not-allowed !important;
  pointer-events: none;
  opacity: 0.6;
}
